### Hierarchy

- BitmapFilter
  - ShaderFilter

## Index

### Constructors

- constructor

### Properties

- blendMode
- bottomExtension
- leftExtension
- rightExtension
- shader
- topExtension

### Methods

- clone

## Constructors

### constructor

- new ShaderFilter(shader: Shader): ShaderFilter

- Overrides BitmapFilter.constructor

  - Defined in lib/openfl/filters/ShaderFilter.d.ts:17

  #### Parameters

  - ##### shader: Shader

  #### Returns ShaderFilter

## Properties

### blendMode

blendMode: BlendMode

- Defined in lib/openfl/filters/ShaderFilter.d.ts:12

### bottomExtension

bottomExtension: number

- Defined in lib/openfl/filters/ShaderFilter.d.ts:13

### leftExtension

leftExtension: number

- Defined in lib/openfl/filters/ShaderFilter.d.ts:14

### rightExtension

rightExtension: number

- Defined in lib/openfl/filters/ShaderFilter.d.ts:15

### shader

shader: Shader

- Defined in lib/openfl/filters/ShaderFilter.d.ts:16

### topExtension

topExtension: number

- Defined in lib/openfl/filters/ShaderFilter.d.ts:17

## Methods

### clone

- clone(): BitmapFilter

- Inherited from BitmapFilter.clone

  - Defined in lib/openfl/filters/BitmapFilter.d.ts:27

  Returns a BitmapFilter object that is an exact copy of the original BitmapFilter object.

  #### Returns BitmapFilter

  A BitmapFilter object.

Generated using TypeDoc